Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.parser
Interface XMLDocumentSource

All Known Subinterfaces:
  XMLDocumentFilter, XMLDocumentScanner

public interface XMLDocumentSource

Defines a document source. In other words, any object that implements this interface is able to emit document "events" to the registered document handler. These events could be produced by parsing an XML document, could be generated from some other source, or could be created programmatically. This interface does not say how the events are created, only that the implementor is able to emit them.

Version:
  $Id: XMLDocumentSource.java,v 1.4 2002/08/16 18:08:38 elena Exp $
Author:
  Andy Clark, IBM

Method Summary
`XMLDocumentHandler` | `getDocumentHandler()` Returns the document handler
`void` | `setDocumentHandler(XMLDocumentHandler handler)` Sets the document handler.

Method Detail

### setDocumentHandler

    public void setDocumentHandler(XMLDocumentHandler handler)

  Sets the document handler.

### getDocumentHandler

    public XMLDocumentHandler getDocumentHandler()

  Returns the document handler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.